Bug 12254 - CTDB IP takeover does not complete if there are no public addresses configured
CTDB IP takeover does not complete if there are no public addresses configured
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.5.0
All All
: P5 regression
: 4.5
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-09-12 08:49 UTC by Martin Schwenke
Modified: 2016-09-20 07:29 UTC (History)
3 users (show)

See Also:


Attachments
Patches for v4-5 branch (15.57 KB, patch)
2016-09-15 01:34 UTC, Amitay Isaacs
martins: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2016-09-12 08:49:21 UTC
IP takeover currently needs to complete even as a no-op to handle things like NAT gateway.  However, changes made before 4.5.0 have resulted in IP takeover failing and retrying forever if no public IP addresses are configured.
Comment 1 Amitay Isaacs 2016-09-15 01:34:11 UTC
Created attachment 12461 [details]
Patches for v4-5 branch
Comment 2 Martin Schwenke 2016-09-15 01:48:30 UTC
Hi Karolin,

This one is ready for 4.5.x.

Thanks...
Comment 3 Karolin Seeger 2016-09-16 06:56:13 UTC
(In reply to Martin Schwenke from comment #2)
Pushed to autobuild-v4-5-test.
Comment 4 Karolin Seeger 2016-09-20 07:29:45 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-5-test.
Closing out bug report.

Thanks!